com.amazon.redshift

## Enum AuthMech

- java.lang.Object
- - java.lang.Enum<AuthMech>
  - - com.amazon.redshift.AuthMech

All Implemented Interfaces:
  Serializable, Comparable<AuthMech>

    public enum AuthMech
    extends Enum<AuthMech>

Provided authentication mechanism type enum.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALLOW` Indicates that the mechanism type is using non-SSL first and then SSL if non-SSL fails.
`DISABLE` Indicates the mechanism type is non-SSL.
`PREFER` Indicates that the mechanism type is using SSL first and then non-SSL if SSL fails.
`REQUIRE` Indicates the mechanism type is using SSL.
`VERIFY_CA` Indicates the mechanism type is using SSL and verify the trusted certificate authority.
`VERIFY_FULL` Indicates the mechanism type is using SSL and verify the trusted certificate authority and the server hostname

### Method Summary

Methods
`static AuthMech` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AuthMech[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DISABLE

    public static final AuthMech DISABLE

Indicates the mechanism type is non-SSL.

#### ALLOW

    public static final AuthMech ALLOW

Indicates that the mechanism type is using non-SSL first and then SSL if non-SSL fails.

#### PREFER

    public static final AuthMech PREFER

Indicates that the mechanism type is using SSL first and then non-SSL if SSL fails.

#### REQUIRE

    public static final AuthMech REQUIRE

Indicates the mechanism type is using SSL.

#### VERIFY_CA

    public static final AuthMech VERIFY_CA

Indicates the mechanism type is using SSL and verify the trusted certificate authority.

#### VERIFY_FULL

    public static final AuthMech VERIFY_FULL

Indicates the mechanism type is using SSL and verify the trusted certificate authority and the server hostname

### Method Detail

#### values

    public static AuthMech[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AuthMech c : AuthMech.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AuthMech valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null